<?php
//visites
$lvc_include_dir = 'http://localhost/visit/include/';
include($lvc_include_dir.'new-visitor.inc.php3');

include "include/random.inc.php";
include "include/timer.inc.php";

$param = parse_ini_file("config/pip.ini");
extract($param);

$NewsFileLogo = "modules/news/logos";
$couleur = RandomColors();

include "include/theme.inc.php";

if (file_exists("themes/$theme/theme.php"))
        include "themes/$theme/theme.php";
else
        include "themes/default/theme.php";

if (isset($File))
        $FileNews = $File;

// if (!isset($FileNews))
//        $FileNews = "modules/news/news";

extract($themeset, EXTR_OVERWRITE);

include "include/head.inc.php";
include "include/body.inc.php";

// ************** haut de page ******************
if (!isset($header) || ($header ==1))
{
        include "header.php";
}

echo "<table border=0 width='100%'><tr>\n"; // tableau principal

// *************** gauche *****************
if (!isset($left) || ($left ==1))
{
        echo "<td align=left valign=top width=135>\n";
        include "left.php";
        echo "</td>\n";
}
// ************** centre ****************
echo "<td><img src='modules/share/trans.gif' alt='' width=20></td><td align=center valign=top><div align=center>\n";

// --- gestion des modules ---
if (isset($modulepage))
{
        include "include/logo.inc.php";
        switch($modulepage)
        {
                case "sondage":

                        extract($themeset, EXTR_OVERWRITE);

                        $headstartcode = "<font name='verdana' size=3 class='centerhead'>";
                        $headendcode ="</font>";
                        $bodyclass="centerbody";
                        $module = "sondage";
                        $titre = "Rsultats du sondage";

                        include "modules/magicbox.php";
                        break;
		case "goldbook":
			unset($NbMaxPost);
                        extract($themeset, EXTR_OVERWRITE);

                        $headstartcode = "<font name='verdana' size=3 class='centerhead'>";
                        $headendcode ="</font>";
                        $bodyclass = "centerbody";
                        $module = "goldbook";
                        $titre = "Livre d'or";
                        $GoldbookFile = "modules/goldbook/goldbook.csv";

                        include "modules/magicbox.php";
                        unset($bodyclass);
                        break;

                case "addnews":
                        extract($themeset, EXTR_OVERWRITE);

                        if (isset($File))
                                $FileNews = $File;

                        // fichier de news par dfaut
                        if (!isset($FileNews))
                                $FileNews = "modules/news/news";

                        $headstartcode = "<font name='verdana' size=3 class='centerhead'>";
                        $headendcode ="</font>";
                        $bodyclass = "centerbody";
                        $module = "admin/addnews";
                        $titre = "Ajout d'une nouvelle";

                        include "modules/magicbox.php";
                        unset($bodyclass);
                        // unset($NewsFile);
                        // unset($File);
                        break;

                case "affnews":

                        if (isset($File))
                                $FileNews = $File;

                        if (!isset($FileNews))
                                $FileNews = "modules/news/pipnews";

                        // appel direct du module affnews ; magicbox est appel par ce dernier
                        include "modules/affnews.php";
                        unset($NewsFile);
                        // unset($newsnb);
                        //unset($File);
                        break;

                case "commentnews":
                        if (isset($File))
                                $FileNews = $File;

                        if (!isset($FileNews))
                                $FileNews = "modules/news/pipnews";

                        $modulepage="affnews";
                        $start=$idnews;
                        $NbMaxNews=1;
                        include "modules/affnews.php";

                        $headstartcode = "<font name='verdana' size=3 class='centerhead'>";
                        $headendcode ="</font>";
                        $bodyclass = "centerbody";
                        $module = "goldbook";
                        $titre = "Commentaires";
                        $goldbooktype = "comment";
                        $GoldbookFile = "$FileNews.$idnews";
                        include "modules/magicbox.php";
                        $modulepage = "commentbook";
                        // unset($goldbooktype);
                        // unset($NewsFile);
                        // unset($File);
                        break;
		case "print":
			if (isset($File))
                                $FileNews = $File;

                        if (!isset($FileNews))
                                $FileNews = "modules/news/news";

			include "modules/print.php";
			break;

                case "backend":
                        if (isset($File))
                                $FileNews = $File;

                        if (!isset($FileNews))
                                $FileNews = "modules/news/pipnews";

                        include "modules/backend.php";
                        break;
                case "chatlogin":
                        extract($themeset, EXTR_OVERWRITE);
                        $bodyclass = "centerbody";
                        $module = "kikchat/login";
                        $headstartcode = "<font name='verdana' size=3 class='centerhead'>";
                        $headendcode ="</font>";
                        $titre = "Bienvenue sur le chat";
                        $bodystartcode="<div align=center>";
                        $bodyendcode="</div>";

                        $footerbox = 1;
                        $footerboxtext = "Retour au menu";
                        $footerlien = "index.php?theme=$theme";

                        include "modules/magicbox.php";
                        unset($bodyclass);

                        break;
                case "kikchat":
                        extract($themeset, EXTR_OVERWRITE);
                        $bodyclass = "centerbody";
                        $module = "kikchat/post";
                        $titre = "Kik it Productions' Live Chat";
                        $headlien = "http://www.kik-it.com";
		$footerbox = 1;
        		$footerboxtext = "Retour au menu";
        		$footerlien = "index.php?theme=$theme";

                        include "modules/magicbox.php";
                        unset($bodyclass);
                        break;
		case "affimage":
                        extract($themeset, EXTR_OVERWRITE);

                        // $headstartcode = "<font name='verdana' size=4 class='centerhead'>";
                        // $headendcode ="</font>";
                        $bodyclass = "centerbody";

                        $module = "affimages";
                        $titre = $image;
			$footerbox = 1;
        		$footerboxtext = "Retour au menu";
        		$footerlien = "$index.php?theme=$theme";

			include "modules/magicbox.php";
                        unset($bodyclass);
			break;
                default:
                        include "pages/menu.php";
        }
}
else
{
// ---- affichage des pages ----
        if (isset($section) && isset($page) && $page != "menu")
	{
                include_once "$section/$page.php";
                echo "<div align='center'><a href='index.php?theme=$theme'>&gt;Retour au menu&lt;</a><br></div>";
	}
        else
        {
                include "include/logo.inc.php";
                include "pages/menu.php";
        }
}
echo "</td><td><img src='modules/share/trans.gif' alt='' width=20></td>";
// *************** droite *************************

if (!isset($right) || ($right == 1))
{
        echo "<td align=right valign=top width=135>";
        include_once "right.php";
        echo "</td></tr>";
}
echo "</table>";
//****************** pied de page *********************
require_once "footer.php";

echo "</body></html>";

?>

</body>
</html>
