<?xml version="1.0" encoding="iso-8859-1"?>
<Q:stylesheet version="1.0"
  xmlns:Q="http://www.w3.org/1999/XSL/Transform"
  xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns="http://www.w3.org/1999/xhtml">

<Q:output method="html" />
<Q:template match="/">
<!--
 This stylesheet is for rendering RSS as HTML.
 By sburke@cpan.org
-->
<html>
<head>
  <Q:element name="meta">
<!-- if we have this as a 'literal result element' called link, it can confuse many browsers -->
   <Q:attribute name="content-type">text/html; charset=iso-8859-1</Q:attribute>
  </Q:element>
  <Q:element name="link">
<!-- if we have this as a 'literal result element' called link, it can confuse Firefox -->
   <Q:attribute name="rel">stylesheet</Q:attribute>
   <Q:attribute name="href">/css/rss_gris.css</Q:attribute>
   <Q:attribute name="type">text/css</Q:attribute>
   <Q:attribute name="title">gris</Q:attribute>
  </Q:element>
  <Q:element name="meta">
   <Q:attribute name="content-type">text/html; charset=iso-8859-1</Q:attribute>
  </Q:element>
  <Q:element name="link">
   <Q:attribute name="rel">alternate stylesheet</Q:attribute>
   <Q:attribute name="href">/css/rss_couleur.css</Q:attribute>
   <Q:attribute name="type">text/css</Q:attribute>
   <Q:attribute name="title">couleur</Q:attribute>
  </Q:element>

<Q:for-each select="/rss/channel/title">
  <title>RSS: <Q:value-of select="."/></title>
</Q:for-each>

</head>
<body>


<p class='back'><a href="./" accesskey="U" title="Retour  la liste des backends">[Retour]</a></p>

<div class="title">Les nouvelles anciennes de la <a href="{/rss/channel/link}">
  <Q:value-of select="/rss/channel/title"/>
</a></div>

<!--<Q:for-each select="/rss/channel/description">
  <Q:if test=". != /rss/channel/title" >-->
  <!-- no point in printing them both if they're the same -->
    <!--<div class='desc'><Q:value-of select="."/></div>
  </Q:if>
</Q:for-each>-->



<Q:variable name="C" select="count(/rss/channel/item)" />
<p class='nbnews'>
  <Q:choose>
    <Q:when test="$C = 0" >Aucune </Q:when>
    <Q:when test="$C = 1" >(enfin la seule)</Q:when>
    <Q:otherwise>(Les <Q:value-of select="$C" /> dernires)</Q:otherwise>
  </Q:choose>
</p>



<div class='Items'>

<Q:if test='$C = 0'>  <dt>(Empty)</dt> </Q:if>


<Q:for-each select="/rss/channel/item">
<div class="item">
<div class="title">
  <a href="{link}"><Q:value-of select="title"/></a>
</div>
<Q:if test="description" >
  <div class="description"><Q:value-of  disable-output-escaping="yes" select="description" /></div>
  <!-- Alas, many implementations can't, and never will, support disable-output-escaping -->
</Q:if>
<div class="pubDate">
  Post: <Q:value-of select="pubDate"/>
</div>
</div>
</Q:for-each>
</div>
<blockquote class='majdate'>
<Q:for-each select="/rss/channel/lastBuildDate"><p><em>
	MAJ:</em> <Q:value-of select="."/></p></Q:for-each>
</blockquote>
<p class='end'><a href="./" accesskey="U" title="Retour  la liste des backends">[Retour]</a></p>

</body>
</html>

</Q:template>
</Q:stylesheet>

