<?php
$titlepage = "Tourmentine";

if ($section != "pages")
	$titlepage .= "/".substr($section,6);
	
if ($page != "" && $page != "index")
	$titlepage .= "/".$page;
else 
{
	if ($lang == "fr")
		$titlepage = "Bienvenue sur la Tourmentine";
	else if ($lang == "es")
		$titlepage = "Bienvenido a la Tourmentine";
	else
		$titlepage = "Welcome to the Tourmentine";
}
if ($theme != "")
	$cssurl = "/css/$theme.css";
	
if ($cssurl == "")
	$cssurl = "/css/default.css";
//if (eregi('Mozilla/4.', $HTTP_USER_AGENT))
//	$cssurl = "/css/minimal.css";
?>

<head>
	<link rel='SHORTCUT ICON' href='favicon.ico' />
	<link rel='icon' href='/favicon.ico' type='image/png' />
	
        <link rel='alternate stylesheet' href='/css/default.css' type='text/css' media='screen' title='tourmentine' />
        <link rel='alternate stylesheet' href='/css/blue.css' type='text/css' media='screen' title='blue' />
        <link rel='alternate stylesheet' href='/css/flashy.css' type='text/css' media='screen' title='flashy' />
        <link rel='alternate stylesheet' href='/css/outline.css' type='text/css' media='screen' title='outline' />
        <link rel='alternate stylesheet' href='/css/minimal.css' type='text/css' media='screen' title='minimal' />
        <link rel='alternate stylesheet' href='/css/guadeloupe.css' type='text/css' media='screen' title='guadeloupe' />
        <link rel='alternate stylesheet' href='/css/linuxfr.css' type='text/css' media='screen' title='linuxfr' />
        <link rel='alternate stylesheet' href='/css/daclear.css' type='text/css' media='screen' title='daClear' />
	<style type="text/css" media="screen" title="default"> @import url("<?php echo $cssurl; ?>"); </style>
<?php //        <!--<link rel='stylesheet' href='<?php echo $cssurl; ' type='text/css' media='screen' title='default' />--> ?>
	<link rel='stylesheet' href='/css/pda.css' type='text/css' media='handheld' title='' />
	<?php if (clientismobile()) echo '<style type="text/css" media="screen" title="default"> @import url("/css/pda.css"); </style>'; ?>
	<link rel='stylesheet' href='/css/print.css' type='text/css' media='print' title='' />

<?php
	if ($lang == "fr" || $lang == "en")
		$xmlang = $lang;
	else
		$xmlang = "en";
?>
	<link rel='alternate' type='application/rss+xml' title='RSS 2.0' href='http://tourmentine.com/backends/xml/tourmentine.<?php echo $xmlang; ?>.rss' />
	<link rel='alternate' type='application/atom+xml' title='Atom 0.3' href='http://tourmentine.com/backends/atom/tourmentine.<?php echo $xmlang; ?>.xml' />
	<link rel="alternate" type='text/x-opml' title='OPML 1.0' href='http://tourmentine.com/backends/opml/dazibaweb.opml' />

<?php
	if ($lang == "fr")
	{
		echo "\t<link rel='alternate' type='text/html' title='English' href='$page.en.html' />\n";
		echo "\t<link rel='alternate' type='text/html' title='Espaol' href='$page.es.html' />\n";
	}
	else if ($lang == "es")
	{
		echo "\t<link rel='alternate' type='text/html' title='Franais' href='$page.fr.html' />\n";
		echo "\t<link rel='alternate' type='text/html' title='English' href='$page.en.html' />\n";
	}
	else
	{
		echo "\t<link rel='alternate' type='text/html' title='Franais' href='$page.fr.html' />\n";
		echo "\t<link rel='alternate' type='text/html' title='Espaol' href='$page.es.html' />\n";
	}
?>
	
	<link rel='author' href='http://tourmentine.com/apropos.<?php echo $lang; ?>.html' />
	<link rel='copyright' href='http://tourmentine.com/merci.<?php echo $lang; ?>.html' />
	<link rel='home' title='HomePage' href='http://tourmentine.com/index.<?php echo $lang; ?>.html' />
	<link rel='top' title='HomePage' href='http://tourmentine.com/index.<?php echo $lang; ?>.html' />
	<link rel='up' title='Up' href='../' />
	<link rel='search' title='google' href='http://www.google.fr' />
	
	<link rel='bookmark' title='Validation HTML' href='http://validator.w3.org/check?uri=http://<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>' />
	<link rel='bookmark' title='Validation CSS' href='http://jigsaw.w3.org/css-validator/validator/?uri=http://<?php echo $_SERVER["HTTP_HOST"].$cssurl; ?>' />

	<link rel="openid.server" href="http://id.tourmentine.com" />
	<link rel="openid.delegate" href="http://id.tourmentine.com/n" />

        <title><?php echo $titlepage; ?></title>
       
       	<meta http-equiv='content-language' content='fr,en' />
<?php
	if ($lang == "eo")
		echo "	<meta http-equiv='Content-Type' content='text/html; charset=utf-8' />\n";
	else
		echo "	<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1' />\n";
?>
	<meta name='author' content='nicosoft' />
	<meta name='generator' content='WebLoom beta' />
<?php 
	if ($lang == "fr")
		echo "	<meta name='description' content='Blog, Liens divers, revue de web: bienvenue sur mon site personnel' />\n";
	else
		echo "<meta name='description' content='Blog, Various links, web revue: welcome on my personnal website' />\n";
?>
	<meta name='keywords' content='liens,nicosoft,dazibaweb,news,tourmentine,linux,free' />
        <meta name='revisit-after' content='10 days' />
	<meta name='pragma' content='no chache' />
	<meta name="verify-v1" content="zozgFhGVpVc6kbha6K2+QcP7Gm/6Z39h5VAqY/gg+d4=" />
	
	<script src='/include/js.js' type='text/javascript'></script>
	<script src="http://wave-api.appspot.com/public/embed.js" type="text/javascript"></script>

<?php // no trailing </head> please :) ?>
